ISC BIND 9.16.12 < 9.16.48/9.16.12-S1 < 9.16.48-S1/9.18.0 < 9.18.24/9.18.11-S1 < 9.18.24-S1/9.19.0 < 9.19.21 断言失败 (cve-2023-5679)

high Nessus 插件 ID 190448

简介

远程名称服务器受到断言失败漏洞的影响。

描述

远程主机上安装的 ISC BIND 的版本低于测试版本。因此,该应用程序受到 cve-2023-5679 公告中提及的漏洞的影响。

- DNS64 和 serve-stale 之间的错误交互可能导致 `named` 在这两项功能均启用时,在递归解析期间因断言失败而崩溃。此问题影响 BIND 9 版本 9.16.12 至 9.16.45、9.18.0 至 9.18.21、9.19.0 至 9.19.19、 9.16.12-S1 至 9.16.45-S1 以及 9.18.11-S1 至 9.18.21-S1。(CVE-2023-5679)

请注意,Nessus 尚未测试此问题,而是只依据应用程序自我报告的版本号进行判断。

解决方案

升级至 ISC BIND 9.16.48/9.16.48-S1/9.18.24/9.18.24-S1/9.19.21 或更新版本。

另见

https://kb.isc.org/v1/docs/cve-2023-5679

插件详情

严重性: High

ID: 190448

文件名: bind9_91921_cve-2023-5679.nasl

版本: 1.1

类型: remote

系列: DNS

发布时间: 2024/2/13

最近更新时间: 2024/2/16

配置: 启用偏执模式

支持的传感器: Nessus

风险信息

VPR

风险因素: Low

分数: 3.6

CVSS v2

风险因素: High

基本分数: 7.8

时间分数: 5.8

矢量: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:C

CVSS 分数来源: CVE-2023-5679

CVSS v3

风险因素: High

基本分数: 7.5

时间分数: 6.5

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

时间矢量: CVSS:3.0/E:U/RL:O/RC:C

漏洞信息

CPE: cpe:/a:isc:bind

必需的 KB 项: bind/version, Settings/ParanoidReport

易利用性: No known exploits are available

补丁发布日期: 2024/2/13

漏洞发布日期: 2024/2/13

参考资料信息

CVE: CVE-2023-5679

IAVA: 2024-A-0103